zenilib: zenilib/jni/external/openal-soft/Alc/alcThread.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
alcThread.c File Reference
`#include "config.h"`
`#include <stdlib.h>`
`#include "alMain.h"`
`#include "alThunk.h"`
`#include <pthread.h>`

Go to the source code of this file.

## Macros

#define | THREAD_STACK_SIZE (1*1024*1024) /* 1MB */

## Functions

static void * | StarterFunc (void *ptr)
ALvoid * | StartThread (ALuint(*func)(ALvoid *), ALvoid *ptr)
ALuint | StopThread (ALvoid *thread)

## Macro Definition Documentation

#define THREAD_STACK_SIZE (1*1024*1024) /* 1MB */

OpenAL cross platform audio library Copyright (C) 1999-2007 by authors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. Or go to http://www.gnu.org/copyleft/lgpl.html

Definition at line 28 of file alcThread.c.

Referenced by StartThread().

## Function Documentation

static void* StarterFunc | ( | void * | ptr | ) |

static

Definition at line 93 of file alcThread.c.

References NULL.

Referenced by StartThread().

ALvoid* StartThread | ( | ALuint(*)(ALvoid *) | func,
|  | ALvoid * | ptr
| ) |  |

Definition at line 100 of file alcThread.c.

References free, malloc, NULL, StarterFunc(), and THREAD_STACK_SIZE.

Referenced by alsa_start_playback(), DSoundStartPlayback(), MMDevApiMsgProc(), null_start_playback(), oss_open_capture(), oss_start_playback(), sndio_start_playback(), solaris_start_playback(), and wave_start_playback().

ALuint StopThread | ( | ALvoid * | thread | ) |

Definition at line 131 of file alcThread.c.

References free, NULL, ret, and thread.

Referenced by alsa_stop_playback(), DSoundStopPlayback(), MMDevApiMsgProc(), null_stop_playback(), oss_close_capture(), oss_stop_playback(), sndio_stop_playback(), solaris_stop_playback(), and wave_stop_playback().